Package com.isomorphic.webdriver

# Class SmartClientFirefoxDriver

java.lang.Object
com.isomorphic.webdriver.SmartClientWebDriver
com.isomorphic.webdriver.SmartClientFirefoxDriver

All Implemented Interfaces:
  `org.openqa.selenium.interactions.HasInputDevices`, `org.openqa.selenium.interactions.Interactive`, `org.openqa.selenium.JavascriptExecutor`, `org.openqa.selenium.SearchContext`, `org.openqa.selenium.TakesScreenshot`, `org.openqa.selenium.WebDriver`

public class SmartClientFirefoxDriver extends SmartClientWebDriver
Implementation of SmartClient specific WebDriver using FireFox. Activates native events to ensure that smartclient is driven appropriately.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SmartClientFirefoxDriver()`
  Default constructor.
  `SmartClientFirefoxDriver(boolean legacyMode)`
  Alternative to the default constructor which allows direct control over whether the driver is run in legacy mode (for older Firefox versions).
  `SmartClientFirefoxDriver(org.openqa.selenium.Capabilities capabilities)`
  Deprecated.
  use `SmartClientFirefoxDriver(FirefoxOptions)` instead
  `SmartClientFirefoxDriver(org.openqa.selenium.firefox.FirefoxBinary binary)`
  Deprecated.
  use `SmartClientFirefoxDriver(FirefoxOptions)` instead
  `SmartClientFirefoxDriver(org.openqa.selenium.firefox.FirefoxBinary binary, org.openqa.selenium.firefox.FirefoxProfile profile)`
  Deprecated.
  use `SmartClientFirefoxDriver(FirefoxOptions)` instead
  `SmartClientFirefoxDriver(org.openqa.selenium.firefox.FirefoxOptions options)`
  Constructor taking a new Selenium v3 `FirefoxOptions` specification.
  `SmartClientFirefoxDriver(org.openqa.selenium.firefox.FirefoxProfile profile)`
  Deprecated.
  use `SmartClientFirefoxDriver(FirefoxOptions)` instead

- ## Method Summary

  ### Methods inherited from class com.isomorphic.webdriver.SmartClientWebDriver

  `assertEval, assertEval, assertEval, assertEval, assertEval, blur, clearCanvasProperty, clearTolerances, click, clickAndHold, clickAndHoldAt, contextClick, controlKeyDown, controlKeyUp, doubleClick, dragAndDrop, dragAndDrop, dragAndDropBy, focus, focus, focus, get, get, getElementHeight, getElementPositionLeft, getElementPositionTop, getElementWidth, getEval, getEval, getTable, getText, getValue, getValueAsString, getValueAsString, keyDown, keyDown, keyPress, keyPress, keyUp, keyUp, mouseMove, mouseMoveAt, pause, release, releaseAt, scrollIntoViewIfNeeded, scrollIntoViewIfNeeded, secondClick, selectWindowByName, selectWindowByTitle, sendData, sendKeys, setAllowCoordClickOnOccludingElement, setAllowJavaScriptToStringMatch, setBaseUrl, setCanvasHeightTolerance, setCanvasProperty, setCanvasPropertyFalse, setCanvasPropertyTrue, setCanvasWidthTolerance, setClientLogLevel, setClientLogLevel, setDefaultImplicitWait, setDefaultWaitTimeout, setElementTolerance, setMaxDragPause, setOccludedElementApproach, setServerLogLevel, setUseFrameworkValueAsFallback, setValueTolerance, shiftKeyDown, shiftKeyUp, showConsole, type, type, type, verifyCanvasHeight, verifyCanvasWidth, verifyElementClickable, verifyElementHeight, verifyElementHeightWithTolerance, verifyElementPositionLeft, verifyElementPositionTop, verifyElementPresent, verifyElementReadyForKeyPresses, verifyElementSelected, verifyElementVisible, verifyElementWidth, verifyElementWidthWithTolerance, verifyTable, verifyText, verifyText, verifyTextPresent, verifyTextPresent, verifyTitle, verifyValue, verifyValue, verifyValue, verifyValue, verifyValueEmpty, verifyValueWithTolerance, verifyValueWithTolerance, verifyValueWithTolerance, waitForCanvasDone, waitForCanvasDone, waitForCondition, waitForCondition, waitForCondition, waitForElementClickable, waitForElementClickable, waitForElementInViewport, waitForElementInViewport, waitForElementNotClickable, waitForElementNotClickable, waitForElementNotPresent, waitForElementNotPresent, waitForElementNotVisible, waitForElementNotVisible, waitForElementPresent, waitForElementPresent, waitForElementReadyForKeyPresses, waitForElementReadyForKeyPresses, waitForElementVisible, waitForElementVisible, waitForEval, waitForEval, waitForFormDone, waitForFormDone, waitForFrameToLoad, waitForGridDone, waitForGridDone, waitForGridDone, waitForGridDone, waitForHoverTextPresent, waitForHoverTextPresent, waitForItemDone, waitForItemDone, waitForSystemDone, waitForSystemDone, waitForSystemDone, waitForSystemDone, waitForSystemDone, waitForSystemDone, waitForSystemDone, waitForSystemDone, waitForSystemDone, waitForText, waitForText, waitForTileGridDone, waitForTileGridDone, waitForTileLayoutDone, waitForTileLayoutDone, waitForValue, waitForValue`

- ## Constructor Details

  - ### SmartClientFirefoxDriver

    public SmartClientFirefoxDriver()
    Default constructor. This configures the driver in legacy mode (for older Firefox versions) and the default profile. (In future releases, the default constructor may no longer enable legacy mode.)

  - ### SmartClientFirefoxDriver

    @Deprecated public SmartClientFirefoxDriver(org.openqa.selenium.Capabilities capabilities)
    Deprecated.
    use `SmartClientFirefoxDriver(FirefoxOptions)` instead
    Constructor taking a specified set of driver capabilities. This configures the driver in legacy mode (for older Firefox versions).
    Parameters:
      `capabilities` - desired driver capabilities

  - ### SmartClientFirefoxDriver

    @Deprecated public SmartClientFirefoxDriver(org.openqa.selenium.firefox.FirefoxProfile profile)
    Deprecated.
    use `SmartClientFirefoxDriver(FirefoxOptions)` instead
    Constructor taking a profile. This configures the driver in legacy mode (for older Firefox versions).
    Parameters:
      `profile` - custom profile

  - ### SmartClientFirefoxDriver

    @Deprecated public SmartClientFirefoxDriver(org.openqa.selenium.firefox.FirefoxBinary binary)
    Deprecated.
    use `SmartClientFirefoxDriver(FirefoxOptions)` instead
    Constructor taking a binary reference. This configures the driver in legacy mode (for older Firefox versions) and the default profile. The binary reference allows you to specify a path to the Firefox executable - in case more than one version is installed. (For example, `new FirefoxBinary(new File("/home/user/ff52esr/firefox")).`)
    Parameters:
      `binary` - path-specific Firefox executable reference

  - ### SmartClientFirefoxDriver

    @Deprecated public SmartClientFirefoxDriver(org.openqa.selenium.firefox.FirefoxBinary binary, org.openqa.selenium.firefox.FirefoxProfile profile)
    Deprecated.
    use `SmartClientFirefoxDriver(FirefoxOptions)` instead
    Constructor taking a profile. This configures the driver in legacy mode (for older Firefox versions). The binary reference allows you to specify a path to the Firefox executable - in case more than one version is installed. (For example, `new FirefoxBinary(new File("/home/user/ff52esr/firefox")).`)
    Parameters:
      `binary` - path-specific Firefox executable reference
      `profile` - custom profile

  - ### SmartClientFirefoxDriver

    public SmartClientFirefoxDriver(org.openqa.selenium.firefox.FirefoxOptions options)
    Constructor taking a new Selenium v3 `FirefoxOptions` specification. Legacy mode (for older Firefox versions) is not enabled by default for this constructor.
    Parameters:
      `options` - custom options

  - ### SmartClientFirefoxDriver

    public SmartClientFirefoxDriver(boolean legacyMode)
    Alternative to the default constructor which allows direct control over whether the driver is run in legacy mode (for older Firefox versions).
    Parameters:
      `legacyMode` - whether to run driver in legacy mode